org.apache.lucene.codecs.simpletext

## Class SimpleTextSegmentInfoFormat

- java.lang.Object
- - org.apache.lucene.codecs.SegmentInfoFormat
  - - org.apache.lucene.codecs.simpletext.SimpleTextSegmentInfoFormat

-     public class SimpleTextSegmentInfoFormat
      extends SegmentInfoFormat

  plain text segments file format.

  FOR RECREATIONAL USE ONLY

  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `SI_EXTENSION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleTextSegmentInfoFormat()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SegmentInfo` | `read(Directory directory, String segmentName, byte[] segmentID, IOContext context)`
    `void` | `write(Directory dir, SegmentInfo si, IOContext ioContext)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SI_EXTENSION

          public static final String SI_EXTENSION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SimpleTextSegmentInfoFormat

          public SimpleTextSegmentInfoFormat()

  - ### Method Detail

    - #### read

          public SegmentInfo read(Directory directory,
                                  String segmentName,
                                  byte[] segmentID,
                                  IOContext context)
                           throws IOException

      Specified by:
        `read` in class `SegmentInfoFormat`
      Throws:
        `IOException`

    - #### write

          public void write(Directory dir,
                            SegmentInfo si,
                            IOContext ioContext)
                     throws IOException

      Specified by:
        `write` in class `SegmentInfoFormat`
      Throws:
        `IOException`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.